%global fontconf 67-lohit-malayalam.conf
%global metainfo io.pagure.lohit.malayalam.font.metainfo

Name:           lohit-malayalam-fonts
Version:        2.92.2
Release:        6
Summary:        Free Malayalam font
Group:          User Interface/X
License:        OFL-1.1
URL:            https://pagure.io/lohit
Source0:        https://releases.pagure.org/lohit/lohit-malayalam-2.92.2.tar.gz
BuildArch:      noarch
BuildRequires:  python3-devel fontpackages-devel fontforge >= 20080429
Requires:       fontpackages-filesystem

%description
This package provides a free Malayalam truetype/opentype font.

%prep
%setup -q -n lohit-malayalam-2.92.2 

%build
make ttf %{?_smp_mflags}

%install
install -m 0755 -d %{buildroot}%{_fontdir}
install -m 0644 -p *.ttf %{buildroot}%{_fontdir}

install -m 0755 -d %{buildroot}%{_fontconfig_templatedir} \
                   %{buildroot}%{_fontconfig_confdir}

install -m 0644 -p %{fontconf} \
        %{buildroot}%{_fontconfig_templatedir}/%{fontconf}
ln -s %{_fontconfig_templatedir}/%{fontconf} \
      %{buildroot}%{_fontconfig_confdir}/%{fontconf}

install -Dm 0644 -p %{metainfo}.xml \
       %{buildroot}%{_datadir}/metainfo/%{metainfo}.xml

%_font_pkg -f %{fontconf} *.ttf
%doc ChangeLog COPYRIGHT OFL.txt AUTHORS README std-test-out.txt test-malayalam.txt
%{_datadir}/metainfo/%{metainfo}.xml

%changelog
* Tue Jul 19 2022 wangkai <wangkai385@h-partners.com> - 2.92.2-6
- License compliance rectification

* Tue Nov 19 2019 openEuler Buildteam <buildteam@openeuler.org> - 2.92.2-5
- Package init


